<template>
  <v-app>
    <v-card>
      <v-toolbar flat class="green">
        <v-app-bar-nav-icon></v-app-bar-nav-icon>

        <v-toolbar-title>Pendataan Bansos</v-toolbar-title>

        <v-spacer></v-spacer>

        <v-btn icon>
          <v-icon>mdi-magnify</v-icon>
        </v-btn>

        <v-btn icon>
          <v-icon>mdi-dots-vertical</v-icon>
        </v-btn>

        <template v-slot:extension>
          <v-tabs v-model="tabs" fixed-tabs class="yellow darken-2">
            <v-tabs-slider></v-tabs-slider>
            <v-tab href="#mobile-tabs" class="primary--text">
              <v-icon>mdi-home</v-icon>
            </v-tab>

            <v-tab href="/" class="primary--text">
              <v-icon>mdi-post</v-icon>
            </v-tab>

            <v-tab href="#mobile-tabs-5-3" class="primary--text">
              <v-icon>mdi-account-box</v-icon>
            </v-tab>
          </v-tabs>
        </template>
      </v-toolbar>

      <v-tabs-items v-model="tabs">
        <v-tab-item v-for="i in 3" :key="i" :value="'mobile-tabs-5-' + i">
        </v-tab-item>
      </v-tabs-items>
    </v-card>

    <v-container>
      <h1 class="text-center text-headline mb-6">
        <span style="color: green">Pendataan Bansos</span>
        <span style="color: blue"> Komplek Panghegar</span>
      </h1>
      <h3 class="text-center text-headline mb-6">
        Kelurahan Cipadung kulon, Kecamatan Panyileukan
      </h3>
      <v-divider></v-divider>
    </v-container>

    <v-main class="grey lighten-2">
      <v-slide-x-transition leave-absolute>
        <router-view />
      </v-slide-x-transition>
    </v-main>

    <v-footer dark padless>
      <v-card class="flex" flat tile>
        <v-card-title class="green">
          <strong class="subheading">Bantuan Sosial</strong>

          <v-spacer></v-spacer>

          <v-btn v-for="icon in icons" :key="icon" class="mx-1" dark icon>
            <v-icon size="24px">
              {{ icon }}
            </v-icon>
          </v-btn>
        </v-card-title>

        <v-card-text class="yellow darken-2 py-2 white--text text-center">
          <strong>Jabar Coding Camp</strong> — {{ new Date().getFullYear() }}
        </v-card-text>
      </v-card>
    </v-footer>
  </v-app>
</template>

<script>
export default {
  name: "App",
  data: () => ({
    tabs: null,
    icons: ["mdi-facebook", "mdi-twitter", "mdi-linkedin", "mdi-instagram"],
  }),
};
</script>
